Download it now!
Bug 132137 - Styles: Default Style is too generic
Summary: Styles: Default Style is too generic
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Srijan Bhatia
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:7.0.4
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks: Styles
  Show dependency treegraph
 
Reported: 2020-04-15 21:37 UTC by andreas_k
Modified: 2020-11-10 11:08 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Default Style Label (56.62 KB, image/png)
2020-04-15 21:37 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2020-04-15 21:37:05 UTC
Created attachment 159599 [details]
Default Style Label

Open the Styles sidebar (F11) in the different LibO apps

Writer:
- Default Paragraph Style
- Default Character Style
- Default Page Style
- Default Table Style

Calc:
- Default (Cell Style)
- Default (Page Style)

Draw/Impress:
- Default (Drawing Style)

In writer it's very clear what Default mean cause there is always the additional label (Paragraph, Character, Page, Table Style) in Calc, Draw and Impress the style is always called Default but the additional Label is missing.

Please add the additional label like in writer so it's clear what Default Style the user can edit.
Comment 1 Heiko Tietze 2020-04-20 12:19:43 UTC
Writer styles were renamed in bug 129568 as a solution for bug 129422 comment 5 (Find and Replace > (Paragraph/Cell) Style). Draw/Impress has no find style feature (yet) but I don't see a reason why we shouldn't introduce it.
Comment 2 andreas_k 2020-04-21 21:54:35 UTC
If I have a look at the fix for bug 129568 it's not only an rename somewhere in the string file, Maxim can you have a look at this?
Comment 3 Heiko Tietze 2020-04-23 13:21:08 UTC
We discussed the topic in the design meeting and welcome the patch.

Easyhack with code pointers in bug 129568.
Comment 4 Srijan Bhatia 2020-06-01 13:00:38 UTC
Starting work on this.
Comment 5 Srijan Bhatia 2020-06-03 10:07:57 UTC
Submitted a patch.
https://gerrit.libreoffice.org/c/core/+/95403
Could you have a look at it?
Comment 6 Srijan Bhatia 2020-06-04 08:55:09 UTC
Patch for calc.
https://gerrit.libreoffice.org/c/core/+/95484.

Why does jenkins keep on failing random writer tests on windows?
Comment 7 Commit Notification 2020-06-04 09:59:53 UTC
Srijan Bhatia committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4949050c43300eee047531d856bd4a25e60980c3

tdf#132137 Rename Default Style to Default Drawing Style in Draw and Impress.

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 andreas_k 2020-06-08 22:21:38 UTC
can verify for writer Draw/Impress:

Writer:
- Default Paragraph Style
- Default Character Style
- Default Page Style
- Default Table Style

Draw/Impress:
- Default (Drawing Style)

In calc it's called Default. Can it be changed there to?

Calc:
- Default (Cell Style)
- Default (Page Style)
Comment 9 Srijan Bhatia 2020-06-09 06:56:56 UTC
(In reply to andreas_k from comment #8)
> In calc it's called Default. Can it be changed there to?
Already submitted a patch it's under review. See comment #6.
Comment 10 Commit Notification 2020-06-10 10:56:16 UTC
Srijan Bhatia committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4111ed76906bf6be05b704bf52fa91353dfef183

tdf#132137 Rename Default Style in Calc.

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Heiko Tietze 2020-06-12 16:20:12 UTC
Srijan, how about cherry-picking for 7.0?
Comment 12 Xisco Faulí 2020-06-12 16:31:46 UTC
(In reply to Heiko Tietze from comment #11)
> Srijan, how about cherry-picking for 7.0?

Done: https://gerrit.libreoffice.org/c/core/+/96215
Comment 13 Srijan Bhatia 2020-06-12 16:39:26 UTC
https://gerrit.libreoffice.org/c/core/+/96217
For impress.
Comment 14 Commit Notification 2020-06-13 08:27:17 UTC
Srijan Bhatia committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/5efdd8cb7cc9253931557713a09733713c9047bf

tdf#132137 Rename Default Style to Default Drawing Style in Draw and Impress.

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2020-06-15 09:22:28 UTC
Srijan Bhatia committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/95f0a01a943961db415b6d036b6b4e1e54292716

tdf#132137 Rename Default Style in Calc.

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2020-11-06 08:53:35 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a5b3211f072d982e1ee136e864f153836c76a5ca

tdf#134161: Revert "tdf#132137 Rename Default Style in Calc."

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Xisco Faulí 2020-11-06 08:55:32 UTC
Putting it back to NEW since the calc part was reverted. see the comment in https://cgit.freedesktop.org/libreoffice/core/commit/?id=a5b3211f072d982e1ee136e864f153836c76a5ca
Comment 18 Commit Notification 2020-11-10 11:08:28 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/7002053174aed5c3a7b1fe5b1785011080aa6cbe

Revert "tdf#132137 Rename Default Style in Calc."

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.